###################
Variables
###################


Define preprocessor switch variables here.


.. image:: ../_static/images/advanced/fusionpbx_advanced_variables.jpg
        :scale: 85%


Variables have several different categories.




Codecs
^^^^^^^^^




Defaults
^^^^^^^^^^^



IP Address
^^^^^^^^^^^^




Music on Hold
^^^^^^^^^^^^^^^^


Ringtones
^^^^^^^^^^^^




Sip
^^^^^^^^





Sip Profile:External
^^^^^^^^^^^^^^^^^^^^^^



Sip Profile:Internal
^^^^^^^^^^^^^^^^^^^^^^



Sound
^^^^^^^^



Tones
^^^^^^^^




Xmpp
^^^^^^^^^





